using System;
using System.IO;
using System.Diagnostics;

using Syncfusion.DLS;
using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;

using Syncfusion.Pdf.DLS;

namespace DocIO_Sample
{
	class Class1
	{
		[STAThread]
		static void Main(string[] args)
		{	
			string dataPath = System.Environment.CurrentDirectory + @"\..\..\Data\";
			IWordDocument document = new WordDocument();
			document.Open ( dataPath + "TemplateDoc.doc" , FormatType.Doc );			
								
			MemoryStream mem = new MemoryStream();
			document.Save ( mem , FormatType.Xml );
			
			PDFLogicDocument pdfDoc = new PDFLogicDocument();
			mem.Seek ( 0 , SeekOrigin.Begin );
			pdfDoc.OpenXml ( mem );
			
			pdfDoc.Save ( "Sample.pdf" );
			
			Process.Start ( dataPath + "TemplateDoc.doc" );
			Process.Start ( "Sample.pdf" );
		}
	}
}
